package com.jianshui.invoice.utils;

import cn.hutool.core.lang.Dict;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

import java.util.Iterator;

/**
 * @author kk
 * @date 2023年10月31日 13:50
 * json转小写字段
 */
public class JsonCaseUtils {

    public static JSONObject toLowerCase(String json) {
        JSONObject jsonObject = JSONUtil.parseObj(json);

        jsonObject.keySet().forEach(key -> {
            String upperKey = key.toUpperCase();
            jsonObject.put(upperKey, jsonObject.get(key));
            jsonObject.remove(key);
        });


        return jsonObject;
    }

}
